package com.freemud.sdk.api.assortment.order.adapter;

import com.freemud.api.assortment.datamanager.order.vo.DMOrderItemVo;
import com.freemud.sdk.api.assortment.order.vo.AssortmentOrderProductVo;

public class OrderDMVoConvertToAssortmentDtoAdapter {
    public static AssortmentOrderProductVo convertorderProductVoToOrderProductVo(DMOrderItemVo dmOrderItemVo){
        AssortmentOrderProductVo assortmentOrderProductVo =new AssortmentOrderProductVo();
        assortmentOrderProductVo.setAddInfo(dmOrderItemVo.getAddInfo());
        assortmentOrderProductVo.setCategoryId(dmOrderItemVo.getCategoryId());
        assortmentOrderProductVo.setCategoryName(dmOrderItemVo.getCategoryName());
        assortmentOrderProductVo.setCustomerCode(dmOrderItemVo.getCustomerCode());
        assortmentOrderProductVo.setDiscountId(dmOrderItemVo.getDiscountId());
        assortmentOrderProductVo.setExtras(dmOrderItemVo.getExtras());
        assortmentOrderProductVo.setHasStockProudct(dmOrderItemVo.getHasStockProduct());
        assortmentOrderProductVo.setWeight(dmOrderItemVo.getWeight());
        assortmentOrderProductVo.setUnit(dmOrderItemVo.getUnit());
        assortmentOrderProductVo.setTotalDiscountAmount(dmOrderItemVo.getTotalDiscountAmount());
        assortmentOrderProductVo.setSpecificationName(dmOrderItemVo.getSpecificationName());
        assortmentOrderProductVo.setSequence(dmOrderItemVo.getSequence());
        assortmentOrderProductVo.setSalePrice(dmOrderItemVo.getSalePrice());
        assortmentOrderProductVo.setProductType(dmOrderItemVo.getProductType());
        assortmentOrderProductVo.setProductName(dmOrderItemVo.getProductName());
        assortmentOrderProductVo.setProductId(dmOrderItemVo.getProductId());
        assortmentOrderProductVo.setProductCode(dmOrderItemVo.getProductCode());
        assortmentOrderProductVo.setPrice(dmOrderItemVo.getPrice());
        assortmentOrderProductVo.setPicture(dmOrderItemVo.getPicture());
        assortmentOrderProductVo.setParentProductId(dmOrderItemVo.getParentProductId());
        assortmentOrderProductVo.setOpid(dmOrderItemVo.getOpid());
        assortmentOrderProductVo.setNumber(dmOrderItemVo.getNumber());
        assortmentOrderProductVo.setIgnoreProductPrice(dmOrderItemVo.getIgnoreProductPrice());
        assortmentOrderProductVo.setId(dmOrderItemVo.getId());
        assortmentOrderProductVo.setIsDeleted(dmOrderItemVo.getIsDeleted());
        return assortmentOrderProductVo;
    }
}
